Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
std::hash< osmium::Location > Struct Reference

`#include <location.hpp>`

## Public Types
using | argument_type = osmium::Location
using | result_type = size_t

## Public Member Functions
size_t | operator() (const osmium::Location &location) const noexcept

## Member Typedef Documentation

## ◆ argument_type

using std::hash< osmium::Location >::argument_type = osmium::Location

## ◆ result_type

using std::hash< osmium::Location >::result_type = size_t

## Member Function Documentation

## ◆ operator()()

size_t std::hash< osmium::Location >::operator() | ( | const osmium::Location & | location | ) | const
| inline noexcept

The documentation for this struct was generated from the following file:

- include/osmium/osm/location.hpp